# QStyleHintReturnVariant Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleHintReturn.

### Constructor

- void QStyleHintReturnVariant()

### Constructor Properties

- prototype: The QStyleHintReturnVariant prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SH_Variant
- StyleOptionType( value )

### Instance Properties

QStyleHintReturnVariant objects have no special properties beyond those inherited from the QStyleHintReturnVariant prototype object.